View Issue Details

IDProjectCategoryView StatusLast Update
0000242file[All Projects] Generalpublic2021-03-14 16:57
ReportercatullAssigned Tochristos 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version5.39 
Target VersionFixed in Version5.40 
Summary0000242: Follow-up to 000226, now the marker is 4 bytes long
DescriptionThe Birtual Machine file marker was originally introduced as a 2-byte marker.

Now the implementor has adopted a larger marker.
The diff attached to this ticket accounts for the most recent change.
TagsNo tags attached.

Activities

catull

2021-03-02 15:31

reporter  

bm.diff (676 bytes)
diff --git a/magic/Magdir/bm b/magic/Magdir/bm
index f30c3688..7e1fb1fd 100644
--- a/magic/Magdir/bm
+++ b/magic/Magdir/bm
@@ -3,9 +3,8 @@
 # $File: bm,v 1.1 2021/02/05 21:54:04 christos Exp $
 # bm:  file(1) magic for "Birtual Machine", cf. https://github.com/tsoding/bm
 
-# marker is 'bm'
-0	string	bm	Birtual Machine
->2	leshort	x	\b, version %d
->4	lelong	x	\b, program size %u
->12	lelong	x	\b, memory size %u
->20	lelong	x	\b, memory capacity %u
+0    string  bm\001\244  Birtual Machine
+>4   leshort x           \b, version %d
+>6   lelong  x           \b, program size %u
+>14  lelong  x           \b, memory size %u
+>22  lelong  x           \b, memory capacity %u
bm.diff (676 bytes)

christos

2021-03-14 16:57

manager   ~0003570

Fixed, thanks!

Issue History

Date Modified Username Field Change
2021-03-02 15:31 catull New Issue
2021-03-02 15:31 catull File Added: bm.diff
2021-03-14 16:56 christos Assigned To => christos
2021-03-14 16:56 christos Status new => assigned
2021-03-14 16:57 christos Status assigned => resolved
2021-03-14 16:57 christos Resolution open => fixed
2021-03-14 16:57 christos Fixed in Version => 5.40
2021-03-14 16:57 christos Note Added: 0003570